PHP Manual
Prev |  | Next

# imagewbmp

(PHP 3 >= 3.0.15, PHP 4 >= 4.0.1, PHP 5)

imagewbmp -- Output image to browser or file

## Description

bool imagewbmp ( resource image [, string filename [, int foreground]] )

imagewbmp() outputs or save a WBMP version of the given `image`.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`filename`

  The path to the saved file. If not set or `NULL`, the raw image stream will be outputed directly.

`foreground`

  You can set the foreground color with this parameter by setting an identifier obtained from imagecolorallocate(). The default foreground color is black.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: WBMP support is only available if PHP was compiled against GD-1.8 or later.

## See Also

image2wbmp()
imagepng()
imagegif()
imagejpeg()
imagetypes()

Prev | Home | Next
imagetypes | Up | imagexbm